Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection.util
Class DetectorUtil

    java.lang.Object
      org.jboss.remoting.detection.util.DetectorUtil

    public class DetectorUtil

extends java.lang.Object

A simple utility class that will periodically print out remoting servers running based on detections. Can specify to either use multicast or jndi detection type.

Version:
  $Revision: 566 $
Author:
  Tom Elrod

Field Summary
`static java.lang.String` | `DEFAULT_HOST` localhost *
`static int` | `DEFAULT_PORT` 2410 *
`static java.lang.String` | `TYPE_JNDI` jndi *
`static java.lang.String` | `TYPE_MULTICAST` multicast *

Constructor Summary
`DetectorUtil()`
`DetectorUtil(java.lang.String type)`
`DetectorUtil(java.lang.String type, int port)`
`DetectorUtil(java.lang.String type, int port, java.lang.String host)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_MULTICAST

    public static final java.lang.String TYPE_MULTICAST

  multicast *

  See Also:
    Constant Field Values

### TYPE_JNDI

    public static final java.lang.String TYPE_JNDI

  jndi *

  See Also:
    Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  2410 *

  See Also:
    Constant Field Values

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

  localhost *

  See Also:
    Constant Field Values

Constructor Detail

### DetectorUtil

    public DetectorUtil()

### DetectorUtil

    public DetectorUtil(java.lang.String type)

### DetectorUtil

    public DetectorUtil(java.lang.String type,
                        int port)

### DetectorUtil

    public DetectorUtil(java.lang.String type,
                        int port,
                        java.lang.String host)

Method Detail

### start

    public void start()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.